rancid(1)

NAME
rancid - Cisco configuration filter

SYNOPSIS
rancid [-dlCV] [-t device_type] (-f filename | hostname)

rancid [-dhlCV] -t device_type (-f filename | hostname)

DESCRIPTION
rancid is a collection of perl(1) scripts which use the login scripts (see clogin(1)) to login to a device, execute commands to display the configuration, etc, then filters the output for formatting, security, and so forth. rancid's product is a file with the name of it's last argument plus the suffix .new. For example, hostname.new.

rancid is a perl(1) script that operates much like the vendor-specific rancid script of pre-3.0 releases, but is generic and will eventually obsolete the vendor-specific rancid scripts. It uses the device_type specified with the -t option to look-up a device description (see rancid.types.conf(5)) that defines what it does to collect and process device information.

There are scripts complementary to rancid for other platforms and/or manufacturers that are supported by rancid(1). Briefly, these are:

agmrancid
    Cisco Anomaly Guard Module (AGM)

arancid
    Alteon WebOS switches

brancid
    Bay Networks (nortel)

cat5rancid
    Cisco catalyst switches

cssrancid
    Cisco content services switches

erancid
    ADC-kentrox EZ-T3 mux

f5rancid
    F5 BigIPs

rancid
    The generic rancid script; supporting Allied Telesis AW+ devices, Arbor Networks Appliances, Arista EOS, Ciena Waverserver, Cisco IOS, Cisco IOS-XR, Cisco NX-OS, Cisco WLC, (some) Dell switches, Extreme switches, Fortinet firewalls, Force10 (aka Dell NOS9), Foundry (aka some Brocade) devices, Juniper JunOS and JunOS EVO, Nokia (Alcatel-Lucent) SR OS, and UBNT Edgemax and EdgeRouter, and SMC (some Dell switches). It uses the device O/S modules for parsing routines as determined by the rancid.types.conf(5) file(s). Also see rancid(3) for details.

hrancid
    HP Procurve Switches

htranicd
    Hitachi Routers

jerancid
    Juniper Networks E-series

mrancid
    MRTd

mtrancid
    Mikrotik routers

nrancid
    Netscreen firewalls

nsrancid
    Netscaler

rivrancid
    Riverstone

rrancid
    Redback

trancid
    Netopia sDSL/T1 routers

xirancid
    Xirrus arrays

zrancid
    Zebra routing software

If rancid is run for a device type whose script, as defined in rancid.types.base or rancid.types.conf, is not rancid, then that script will be exec(2)'d.

The command-line options are as follows:

-C  Prints the login command that would be used to collect data from the device.

-V  Prints package name and version strings.

-d  Display debugging information.

-h  Display a usage line and exit.

-l  Display somewhat less debugging information.

-t  Device type, of the given host or file, that is defined in rancid.types.base or rancid.types.conf .

-f  rancid should interpret the next argument as a filename which contains the output it would normally collect from the device ( hostname ) with clogin(1).

SEE ALSO
control_rancid(1), clogin(1), rancid.conf(5), rancid.types.conf(5), rancid(3)

CAVEATS
Cisco IOS offers a DHCP server that maintains a text database which can be stored remotely or on local storage. If stored locally, the file changes constantly and causes constant diffs from rancid. If this file's name ('ip dhcp database') matches the regex dhcp_[^[:space:].].txt, it will be filtered.

For Catalyst switches running CatOS, type cat5, the prompt must end with '>'. clogin(1) looks for '>' to determine when a login is successful. For example:

cat5k>
cat5k> enable
Password:
cat5k> (enable)

rancid works on Cisco Catalyst 1900 series switches that are running Enterprise Edition software. This software provides a menu at connection time that allows a command line interface to be used by entering 'K' at the prompt.